import Vue from 'vue';
import App from './App.vue';
import '@/plugins/weixin';
import router from './router';
import store from './store';
import '@/plugins/vant';
import '@/plugins/axios';
import '@/plugins/check-res';
import '@/plugins/meta';
import '@/plugins/loading';
import '@/plugins/setting';
import '@/plugins/components';
import '@common/src/assets/icon/iconfont.css';
import '@common/src/assets/icon/iconfont.js';
Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount('#app');
window.vm = new Vue({
  router,
});
